package org.jcon.test;

import java.net.InetAddress;

/**
 * Test the TCP/IP environment.
 *
 * @author Jack Harich
 */
public class TestTCP {

//---------- Private Fields ------------------------------

//---------- Initialization ------------------------------
/**
 * Starts the test. Arguments are ignored.
 *
 * @param String arg[] - These are ignored.
 */
public static void main(String arg[]) {
    try {
        InetAddress address = InetAddress.getLocalHost();
        print(" - address = " + address);
    } catch(Exception ex) {
        print(" - getLocalHost() failed - TCP/IP is not ready");
        ex.printStackTrace();
    }
    print(" - Test complete");
}
//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("TestTCP" + text);
}

} // End class
